using UnityEngine;
using System.Collections;

public class References : MonoBehaviour {
	
	public GameObject laserHandle;
	static public GameObject laserObj;
	
	public GameObject dropletHandle;
	static public Object dropletObj;
	
	public GameObject playerHandle;
	static public GameObject playerObj;
	
	public GameObject walkerHandle;
	static public GameObject walkerObj;
	
	public GameObject soundEffectHandle;
	static public GameObject soundEffectObj;
	
	public GameObject dieEffectHandle;
	static public GameObject dieEffectObj;
	
	public GameObject jumpEffectHandle;
	static public GameObject jumpEffectObj;
	
	void Start(){
		laserObj = laserHandle;
		dropletObj = dropletHandle;
		playerObj = playerHandle;
		walkerObj = walkerHandle;
		soundEffectObj = soundEffectHandle;
		dieEffectObj = dieEffectHandle;
		jumpEffectObj = jumpEffectHandle;
	}
	
	static float playerHealth = 0;
	static float flowerHealth = 0;
	
	static public float Get(string name){
		if(name == "player health")
			return playerHealth;
		
		if(name == "flower health")
			return flowerHealth;
		return 0f;
	}
	
	static public void Set(string name, float value){
		if(name == "player health")
			playerHealth = value;
		
		if(name == "flower health")
			flowerHealth = value;
	}
	
	static string flashingColor = "";
	static public void SetFlashingColor(string set){flashingColor = set;}
	static public string GetFlashingColor(){return flashingColor;}
	
}
